# shm_has_var

(PHP 5 >= 5.3.0, PHP 7, PHP 8)

shm_has_var — Check whether a specific entry exists

### Beschreibung

shm_has_var(SysvSharedMemory `$shm`, int `$key`): bool

Checks whether a specific key exists inside a shared memory segment.

### Parameter-Liste

`shm`

  A shared memory segment obtained from shm_attach().

`key`

  The variable key.

### Rückgabewerte

Returns `true` if the entry exists, otherwise `false`

### Changelog

Version | Beschreibung
--- | ---
8.0.0 | `shm` expects a SysvSharedMemory instance now; previously, a resource was expected.

### Siehe auch

- shm_get_var() - Liest eine Variable aus dem gemeinsamen Speicherbereich
- shm_put_var() - Erstellt oder aktualisiert eine Variable im gemeinsamen Speicherbereich

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open